package java.com.zipcode.wilmington.beanjawn;

import com.zipcode.wilmington.beanjawn.Classroom;
import com.zipcode.wilmington.beanjawn.ClassroomConfig;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class ClassroomConfigTest {

    private Classroom currentCohort, previousCohort;

    @Autowired
    private ClassroomConfig classroomConfig;

    @Before
    public void setUp(){
        currentCohort = classroomConfig.currentCohort();
        previousCohort = classroomConfig.previousCohort();
    }

    @Test
    public void testCurrentCohort(){
        Assert.assertEquals(currentCohort, classroomConfig.currentCohort());
    }

    @Test
    public void testPreviousCohort(){
        Assert.assertEquals(previousCohort, classroomConfig.previousCohort());
    }

    @Test
    public void testNotEqual(){
        Assert.assertNotEquals(currentCohort, previousCohort);
    }
}
